package org.springblade.modules.rhzf.fwInfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.rhzf.fwInfo.entity.HcbdEntity;
import org.springblade.modules.rhzf.fwInfo.excel.HcbdExcel;

import java.util.List;
import java.util.Map;

public interface HcbdService extends BaseService<HcbdEntity> {
    HcbdExcel selectRkByExcel(String sfzh, String deptId);

	List<HcbdExcel> exportHcbd(String deptId);

	void deletedHcbd(Long userId);

	IPage<HcbdEntity> selectHcbdPage(IPage<Object> page, Map<String, Object> params);
}
